dvb_ext_descriptor Struct Reference
Parsers for several MPEG-TS descriptors

Structure that describes the parser functions for the extended descriptors. More...

`#include <desc_extension.h>`

## Data Fields

const char * | name
dvb_desc_ext_init_func | init
dvb_desc_ext_print_func | print
dvb_desc_ext_free_func | free
ssize_t | size

## Detailed Description

Structure that describes the parser functions for the extended descriptors.

Works on a similar way as struct dvb_descriptor.

Parameters

  name | name of the descriptor
  init | init dvb_desc_ext_init_func pointer
  print | print dvb_desc_ext_print_func pointer
  free | free dvb_desc_ext_free_func pointer
  size | size of the descriptor

Definition at line 170 of file desc_extension.h.

## Field Documentation

## free

dvb_desc_ext_free_func dvb_ext_descriptor::free

Definition at line 174 of file desc_extension.h.

## init

dvb_desc_ext_init_func dvb_ext_descriptor::init

Definition at line 172 of file desc_extension.h.

## name

const char* dvb_ext_descriptor::name

Definition at line 171 of file desc_extension.h.

## print

dvb_desc_ext_print_func dvb_ext_descriptor::print

Definition at line 173 of file desc_extension.h.

## size

ssize_t dvb_ext_descriptor::size

Definition at line 175 of file desc_extension.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/desc_extension.h